biterp

Listar arvore de categorias financeiras

GET
/financial-categories/tree
AuthorizationBearer <token>

In: header

Query Parameters

type?string
Value in"revenue" | "expense"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/financial-categories/tree"
[
  {
    "id": "string",
    "tenant_id": "string",
    "parent_id": "string",
    "type": "revenue",
    "reference_code": "string",
    "name": "string",
    "code": "string",
    "presentation_role": "gross_revenue",
    "expense_nature": "employee_benefits",
    "is_locked": true,
    "is_system": true,
    "description": "string",
    "metadata": {},
    "created_by_user_id": "string",
    "updated_by_user_id": "string",
    "deleted_by_user_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z",
    "parent": {
      "id": "string",
      "name": "string",
      "code": "string"
    },
    "children": [
      {
        "id": "string",
        "tenant_id": "string",
        "parent_id": "string",
        "type": "revenue",
        "reference_code": "string",
        "name": "string",
        "code": "string",
        "presentation_role": "gross_revenue",
        "expense_nature": "employee_benefits",
        "is_locked": true,
        "is_system": true,
        "description": "string",
        "metadata": {},
        "created_by_user_id": "string",
        "updated_by_user_id": "string",
        "deleted_by_user_id": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "deleted_at": "2019-08-24T14:15:22Z",
        "parent": {
          "id": "string",
          "name": "string",
          "code": "string"
        },
        "children": []
      }
    ]
  }
]
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}